from pathlib import Path

from setuptools import find_packages, setup

VERSION = open("ws_annihilator/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

requires = [
    "argparse",
    "pycapo",
    "requests",
]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Workspaces Directory Annihilator; Clean up generated products from lustre!",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=find_packages(),
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["ws_annihilator = ws_annihilator.annihilator:main"]},
)
